<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS ToggleClass</title>
	
	    <!-- AngularJs File -->
	    <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
	
	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
	    
	    <script type="text/javascript">
		    var mainApp = angular.module("app", []);
		    mainApp.controller('ctrl', ['$scope', function ($scope) {
	
		    	$scope.myClass = { red: false };
		    	// Method to toggle the css class.
		    	$scope.toggleClass = function() {
		    	      $scope.myClass.red = !$scope.myClass.red;
		    	}
		    }]);
	    </script>
	    
	    <style type="text/css">
	    	.red {
			  color:red;
			}
	    </style>
	</head>
	<body>
	    <div id="angularToggle" class="container">
	        <h1 align="center" class="text-primary">AngularJS - Toggle Class Example</h1>
	        <hr />
	
	        <!------ AngularJs Toggle CSS Class Example ------>
	        <div ng-app="app" ng-controller="ctrl">
	        	<button type="button" class="btn btn-outline-primary" ng-click="toggleClass()">Toggle</button>
				<div>&nbsp;</div>
				
	            <div id="divId" ng-class="myClass">
  					This text color can be changed on button toggle.
				</div>
	        </div>
	    </div>
	</body>
</html>